VME Intensity Monitor - Bug #8558

BBB devices are returning stale data
05/01/2015 09:14 AM - John Diamond

Status: Feedback Start date: 05/01/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: Estimated time: 0.50 hour
Target version: Spent time: 1.00 hour
Description

The bunch-by-bunch device should return zeros for all bunches beyond the bunch count from the last pulse. Right now stale data is
being returned.

History

#1 - 05/01/2015 10:33 AM - John Diamond

Zero the destination buffer before calling Buffer::read().

#2 - 05/01/2015 01:04 PM - John Diamond

It appears that when you look past the end of the buffer through a parameter page you can see 0xBEEF.

#3 - 06/08/2015 08:50 PM - John Diamond
- Status changed from New to Accepted

- Estimated time set to 0.20 h

Brian Hendricks pointed out to me that the parameter page is making individual requests for each element in the area whereas the ACL request is for
all elements in one request.

#4 - 06/09/2015 02:30 PM - John Diamond

- Status changed from Accepted to Feedback

- % Done changed from 0 to 90

- Estimated time changed from 0.20 h to 0.50 h

Looks like | was not setting the ACNET response buffer to all zeroes when the requested index is beyond the number of bunches transferred from the
digitizer. The new code is staged - reboot nmltor when you're ready and let me know if that works.
